Skip to main content
PATCH
/
v1
/
actions
/
validate-action
Validate action
curl --request PATCH \
  --url https://staging.api.us.aptlydone.com/actions/v1/actions/validate-action \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tenantId": "38453168-0991-4d24-9b49-4cf641f8a7bf",
  "delegationId": "f1a8ad1b-b597-44c2-a756-f42f3bc35b63",
  "decisionId": "64d365be-f8d6-4d1a-9192-46737dc112d2"
}
'
{
  "statusCode": 200,
  "timestamp": "2026-01-08T06:27:47.328Z",
  "message": "Success",
  "data": {
    "actionName": "Delegation Request",
    "isExist": true,
    "userId": "8d61a283-4ae9-4f21-b52d-3f557709d89b"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
tenantId
string<uuid>
required

Tenant ID

Example:

"38453168-0991-4d24-9b49-4cf641f8a7bf"

delegationId
string<uuid>

Delegation ID (optional)

Example:

"f1a8ad1b-b597-44c2-a756-f42f3bc35b63"

decisionId
string<uuid>

Decision ID (optional)

Example:

"64d365be-f8d6-4d1a-9192-46737dc112d2"

Response

200 - application/json

Action validated successfully

statusCode
number
required

HTTP Status code

Example:

200

timestamp
string
required

Timestamp of the response

Example:

"2026-01-08T06:27:47.328Z"

message
string
required

Response message

Example:

"Success"

data
object
required

Response data